<?php
/**
 * Power by 湖北巨量云科技有限公司
 * Author: xiaohuoban
 * Create Date: 2021/10/22 5:52 下午
 *
 */

require_once 'src/api/Unlimited.php';

/**
 * 声明不限量产品对象
 * trade_no、num、key请填写您的实际业务编号和key
 */
$unlimitedClient = new Unlimited("",1 , "");


/**
 * 提取不限量代理IP
 * 返回值格式为：Json
 * 文档地址：https://www.91vps.com/help/api/unlimited/
 */
// 可选参数
$getIpsParams = [
    // 代理类型，可选参数：1、HTTP代理，2、SOCK代理
    'pt' =>  1,
    // 返回类型，可选参数：text、文本格式，json、json格式，xml、xml格式
    'result_type' =>    'json',
    // 结果分隔符，可选参数：1、\r\n，2、\n，3、空格，4、|
    'split' =>  1,
    // 返回代理IP归属地城市名称，固定值：1，不需要不带
    'city_name' =>  1,
    // 返回代理IP归属地邮政编码，固定值：1，不需要不带
    'city_code' =>  1,
    // 返回代理IP剩余可用时长，固定值：1，不需要不带
    'ip_remain' =>  1,
];
// requestMethod请求方式可选值：[GET|POST]

$getIpsResult = $unlimitedClient->action($unlimitedClient::GET_IPS_ACTION, $getIpsParams, "POST");
// 查看结果
var_dump($getIpsResult);


/**
 * 设置IP白名单
 * 返回值格式为：Json
 * 文档地址：https://www.91vps.com/help/api/unlimited/setwhiteip/
 */
// $setWhiteIpParams = [
//     "ips"   =>  "7.7.7.7,8.8.8.8"
// ];
// $setWhiteIpResult = $unlimitedClient->action($unlimitedClient::SET_WHITE_IP_ACTION, $setWhiteIpParams);
// var_dump($setWhiteIpResult);

/**
 * 获取IP白名单
 * 返回值格式为：Json
 * 文档地址：https://www.91vps.com/help/api/unlimited/getwhiteip/
 */
// $getWhiteIpResult = $unlimitedClient->action($unlimitedClient::GET_WHITE_IP_ACTION);
//var_dump($getWhiteIpResult);


/**
 * 替换授权IP白名单
 * 返回值格式：Json
 * 文档地址：https://www.91vps.com/help/api/unlimited/replaceWhiteIp/
 */
// $replaceParams = [
//     // 替换的白名单IP
//     'new_ip'    =>  "8.8.8.8,9.9.9.9",
//     //  被替换的白名单IP
//     'old_ip'    =>  "7.7.7.7,8.8.8.8",
//     // 是否重置白名单【reset参数为[可选参数]，不带此参数代表不重置已经存在的白名单】
//     'reset'     =>  1,
// ];
// $replaceResult = $unlimitedClient->action($unlimitedClient::REPLACE_WHITE_IP_ACTION, $replaceParams);
// var_dump($replaceResult);